Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2010-0820

CVE information

Published

12 years ago

Last Modified

3 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Heap-based buffer overflow in the Local Security Authority Subsystem Service (LSASS), as used in Active Directory in Microsoft Windows Server 2003 SP2 and Windows Server 2008 Gold, SP2, and R2; Active Directory Application Mode (ADAM) in Windows XP SP2 and SP3 and Windows Server 2003 SP2; and Active Directory Lightweight Directory Service (AD LDS) in Windows Vista SP2, Windows Server 2008 Gold, SP2, and R2, and Windows 7, allows remote authenticated users to execute arbitrary code via malformed LDAP messages, aka "LSASS Heap Overflow Vulnerability.".

CVSSv2.0 Score

Severity
High
Base Score
9/10
Exploit Score
8/10
Access Vector
Network
Access Complexity
Low
Authentication Required
Single
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:o:microsoft:windows_vista:*:sp2:x64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:microsoft:windows_server_2008:*:sp2:x32:*:*:*:*:*
  Yes
- -
cpe:2.3:o:microsoft:windows_server_2008:r2:*:x64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:microsoft:windows_xp:-:sp2:x64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:microsoft:windows_7:-:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:microsoft:windows_server_2008:*:*:x32:*:*:*:*:*
  Yes
- -
cpe:2.3:o:microsoft:windows_server_2008:*:*:x64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:microsoft:windows_xp:*:sp3:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:microsoft:windows_server_2008:*:sp2:x64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:microsoft:windows_server_2003:*:sp2:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:microsoft:windows_vista:*:sp2:*:*:*:*:*:*
  Yes
- -